diff -urN old/Makefile.am new/Makefile.am
--- old/Makefile.am	2009-12-19 09:37:24.000000000 +0100
+++ new/Makefile.am	2009-12-19 09:39:42.000000000 +0100
@@ -18,8 +18,8 @@
 EXTRA_depmod_SOURCES = moduleops_core.c
 EXTRA_modinfo_SOURCES = backwards_compat.c
 
-MAN5 = modprobe.conf.5 modules.dep.5
-MAN8 = depmod.8 insmod.8 lsmod.8 rmmod.8 modprobe.8 modinfo.8
+MAN5 = 
+MAN8 = depmod.8
 SGML = $(addprefix doc/,  $(MAN5:%.5=%.sgml) $(MAN8:%.8=%.sgml))
 # If they haven't overridden mandir, fix it (never /man!)
 mandir =$(shell if [ @mandir@ = $(prefix)/man ]; then if [ $(prefix) = / ]; then echo /usr/share/man; else echo $(prefix)/share/man; fi; else echo @mandir@; fi)
@@ -30,9 +30,9 @@
 man_MANS = $(MAN5) $(MAN8)
 endif
 
-sbin_PROGRAMS = insmod modprobe rmmod depmod modinfo insmod.static
-bin_PROGRAMS = lsmod
-sbin_SCRIPTS = generate-modprobe.conf
+sbin_PROGRAMS = depmod
+bin_PROGRAMS = 
+sbin_SCRIPTS = 
 INSTALL = $(SHELL) $(top_srcdir)/install-with-care
 
 TESTS = tests/runtests
diff -urN old/depmod.c new/depmod.c
--- old/depmod.c	2009-12-19 09:40:04.000000000 +0100
+++ new/depmod.c	2009-12-19 09:41:44.000000000 +0100
@@ -10,7 +10,6 @@
 #include <string.h>
 #include <errno.h>
 #include <unistd.h>
-#include <elf.h>
 #include <sys/types.h>
 #include <sys/stat.h>
 #include <fcntl.h>
@@ -22,6 +21,7 @@
 #include "depmod.h"
 #include "moduleops.h"
 #include "tables.h"
+#include "local_elf.h"
 
 #include "testing.h"
 
diff -urN old/moduleops.c new/moduleops.c
--- old/moduleops.c	2005-01-18 07:28:20.000000000 +0100
+++ new/moduleops.c	2009-12-19 09:41:20.000000000 +0100
@@ -1,5 +1,4 @@
 /* The nasty work of reading 32 and 64-bit modules is in here. */
-#include <elf.h>
 #include <sys/types.h>
 #include <unistd.h>
 #include <stdlib.h>
@@ -8,6 +7,7 @@
 #include "depmod.h"
 #include "moduleops.h"
 #include "tables.h"
+#include "local_elf.h"
 
 #define PERBIT(x) x##32
 #define ElfPERBIT(x) Elf32_##x
